<script lang="ts">
import Vue from 'vue';
import SlpNavigationHOC from '~/components/navigation/navigation-hoc.vue';

export default Vue.extend({
  components: {
    SlpNavigationHOC,
  },
  head() {
    let path;
    if (this.$route.path === '/') {
      path = 'https://about.gitlab.com/';
    } else if (this.$route.path.endsWith('/')) {
      path = `https://about.gitlab.com${this.$route.path}`;
    } else {
      path = `https://about.gitlab.com${this.$route.path}/`;
    }
    return {
      link: [
        {
          rel: 'canonical',
          href: path,
        },
      ],
    };
  },
  async beforeMount() {
    let fileName =
      this.$route.path.replace(/(^\/)|(\/$)/g, '') || this.$route.name;
    let content;

    try {
      content = await this.$content(fileName).limit(2).fetch();
    } catch (e) {
      console.error(`File not found in the content folder : ${fileName}`);
    }

    if (Array.isArray(content)) {
      fileName = `${fileName}/index`;
    }

    document.addEventListener('webIDE', () => {
      window.location.href = `https://gitlab.com/-/ide/project/gitlab-com/marketing/digital-experience/buyer-experience/edit/main/-/content/${fileName}.yml`;
    });

    document.addEventListener('viewPageSource', () => {
      window.location.href = `https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience/-/blob/main/content/${fileName}.yml`;
    });
  },
});
</script>

<template>
  <div>
    <SlpNavigationHOC />
    <Nuxt role="main" />
    <SlpFooter />
  </div>
</template>
